<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>CTF - Tech Info</title>
        <link href="{{ url_for('static', filename='css/styles.css') }}" rel="stylesheet" />

        {% block head %}{% endblock %}
    </head>
    <body>
        <div class="d-flex" id="wrapper">
            <!-- Sidebar-->
            <div class="border-end bg-white" id="sidebar-wrapper">
                <div class="sidebar-heading border-bottom bg-light">Projet Final</div>
                <div class="list-group list-group-flush">
                    <a class="list-group-item list-group-item-action list-group-item-light p-3 {{ 'active' if request.path == url_for('index') else '' }}" href="{{ url_for('index') }}">Accueil</a>
                    {% if not session['logged'] %}
                    <a class="list-group-item list-group-item-action list-group-item-light p-3 {{ 'active' if request.path == url_for('enregistrement') else '' }}" href="{{ url_for('enregistrement') }}">Enregistrement</a>
                    <a class="list-group-item list-group-item-action list-group-item-light p-3 {{ 'active' if request.path == url_for('connexion') else '' }}" href="{{ url_for('connexion') }}">Connexion</a>
                    {% endif %}

                    {% if session['logged'] %}
                    <a class="list-group-item list-group-item-action list-group-item-light p-3 {{ 'active' if request.path == url_for('utilisateurs') else '' }}" href="{{ url_for('utilisateurs') }}">Utilisateurs</a>
                    <a class="list-group-item list-group-item-action list-group-item-light p-3 {{ 'active' if request.path == url_for('plugins') else '' }}" href="{{ url_for('plugins') }}">Plugins</a>
                    <a class="list-group-item list-group-item-action list-group-item-light p-3 {{ 'active' if request.path == url_for('deconnexion') else '' }}" href="{{ url_for('deconnexion') }}">Déconnexion</a>
                    {% endif %}
                </div>
            </div>
            <!-- Page content wrapper-->
            <div id="page-content-wrapper">
                <!-- Top navigation-->
                <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
                    <div class="container-fluid justify-content-md-start">
                        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" id="sidebarToggle"><span class="navbar-toggler-icon"></span></button>
                        <div class="ps-md-4 ps-lg-0 lead">
                            Sécurité des applications client/serveur
                        </div>
                    </div>
                </nav>
                <!-- Page content-->
                <div class="container-fluid">
                    <!-- Flash Messages -->
                    {% for category, message in get_flashed_messages(with_categories=true) %}
                    <div class="alert alert-{{ category }}" role="alert">
                        {{ message }}
                    </div>
                    {% endfor %}

                    {% block contenu %}
                    <h1 class="mt-4">Simple Sidebar</h1>
                    <p>The starting state of the menu will appear collapsed on smaller screens, and will appear non-collapsed on larger screens. When toggled using the button below, the menu will change.</p>
                    <p>
                        Make sure to keep all page content within the
                        <code>#page-content-wrapper</code>
                        . The top navbar is optional, and just for demonstration. Just create an element with the
                        <code>#sidebarToggle</code>
                        ID which will toggle the menu when clicked.
                    </p>
                    {% endblock %}
                </div>
            </div>
        </div>
        <!-- Bootstrap core JS-->
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
        <!-- Core theme JS-->
        <script src="{{ url_for('static', filename='js/scripts.js') }}"></script>

    {% block scripts %}{% endblock %}
    </body>
</html>
